#
# spec file for package libgudev
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgudev
Version:        232
Release:        lp150.1.11
Summary:        Library that provides GObject bindings for libudev
License:        LGPL-2.0+
Group:          Development/Libraries/GNOME
Url:            https://wiki.gnome.org/Projects/libgudev
Source0:        https://download.gnome.org/sources/libgudev/%{version}/%{name}-%{version}.tar.xz
Source99:       baselibs.conf
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.30.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.30.0
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk-doc) >= 1.18
BuildRequires:  pkgconfig(libudev) >= 199
# FIXME - not yet in openSUSE
#BuildRequires:  pkgconfig(umockdev-1.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library provides GObject bindings for libudev. It used to be part
of udev, then merged into systemd. It's now a project on its own.

%package -n libgudev-1_0-0
Summary:        GObject library, to access udev device information
Group:          System/Libraries

%description -n libgudev-1_0-0
This package contains the GObject library libgudev, which provides
access to udev device information.

%package -n typelib-1_0-GUdev-1_0
Summary:        GObject library, to access udev device information -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-GUdev-1_0
This package provides the GObject Introspection bindings for libgudev, which
provides access to udev device information.

%package -n libgudev-1_0-devel
Summary:        Devel package for libgudev
Group:          Development/Libraries/C and C++
Requires:       libgudev-1_0-0 = %{version}
Requires:       typelib-1_0-GUdev-1_0 = %{version}

%description -n libgudev-1_0-devel
This is the devel package for the GObject library libgudev, which
provides GObject access to udev device information.

%prep
%setup -q

%build
%configure \
    --disable-static \
    --disable-umockdev \
    --enable-gtk-doc
make %{?_smp_mflags} V=1

%install
%makeinstall
find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print

%post -n libgudev-1_0-0 -p /sbin/ldconfig

%postun -n libgudev-1_0-0 -p /sbin/ldconfig

%files -n libgudev-1_0-0
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libgudev-1.0.so.*

%files -n typelib-1_0-GUdev-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/GUdev-1.0.typelib

%files -n libgudev-1_0-devel
%defattr(-,root,root)
%{_includedir}/gudev-1.0/
%{_libdir}/libgudev-1.0.so
%{_libdir}/pkgconfig/gudev-1.0.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/gudev/
%{_datadir}/gir-1.0/GUdev-1.0.gir

%changelog
* Fri Sep  1 2017 zaitor@opensuse.org
- Update to version 232:
  + Fix crash on plenty of architectures in the test suite.
  + Add g_autoptr automatic clean up for libgudev objects.
- Tweak package description a bit.
* Mon Feb 13 2017 zaitor@opensuse.org
- Update to version 231:
  + Fix a bug in the enumerator to ensure that client subsystems
    are implicitly matched.
  + Require a newer GLib to simplify some code.
- Add disabled pkgconfig(umockdev-1.0) BuildRequires, new
  optional dependency, that is enabled by default upstream, but
  unfortunatly not yet available in openSUSE.
- Following the above: pass --disable-umockdev to configure.
* Tue Mar 22 2016 fbui@suse.com
- Import libgudev from Factory to SLE (fate#320658):
  new versions of systemd doesn't ship libgudev anymore and a
  dedicated package has been created and should be used instead.
* Fri Sep 25 2015 dimstar@suse.com
- Enable build (dummy change for repo_checker, as libgudev was
  wrongly already checked in to openSUSE:Factory, but has since
  been disabled). With this, we can activate the Staging properly.
* Fri Jun 19 2015 jengelh@inai.de
- Transplant baselibs.conf from systemd.spec. Update package
  metadata.
* Tue Jun  2 2015 zaitor@opensuse.org
- Update to version 230:
  + Bump version number so the package will supercede any gudev
    sub-packages provided via systemd. We intend to drop gudev from
    systemd-221, but lets be safe and just bump it to 230 now.
* Tue May 19 2015 crrodriguez@opensuse.org
- Split from systemd/udev.
